#include <IRremote.h>
#include <Servo.h>


const int RECV_PIN = 6;

IRrecv irrecv(RECV_PIN);
decode_results results;

Servo myservo;
int pos = 0; 
int cpos = pos;

void setup() {
  pos = 0;
 // Set RelayPin as an output pin
 Serial.begin(9600);
 irrecv.enableIRIn();
 myservo.attach(7);
}

void loop() {

  if (irrecv.decode(&results)){
    switch(results.value){
      case 0xFFA857: //Keypad button "+"
      Serial.println(results.value);
      
      for (pos = cpos; pos != cpos+10; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15 ms for the servo to reach the position
      }
    }
    
    switch(results.value){
      case 0xFFE01F: //Keypad button "+"
      Serial.println(results.value);
      
      for (pos = cpos; pos != cpos-10; pos -= 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(15);                       // waits 15 ms for the servo to reach the position
      }
   }
           
      cpos =pos;   
      irrecv.resume();  
  }
}
 
